| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxTreeListItem Class Reference
Controls

`#include <wx/treelist.h>`

## Detailed Description

Unique identifier of an item in wxTreeListCtrl.

This is an opaque class which can't be used by the application in any other way than receiving or passing it to wxTreeListCtrl and checking for validity.

See Also
  wxTreeListCtrl

##

Library: wxAdvanced
Category: Controls

Since
  2.9.3

## Public Member Functions

| wxTreeListItem ()
| Only the default constructor is publicly accessible.
bool | IsOk () const
| Return true if the item is valid.

## Constructor & Destructor Documentation

wxTreeListItem::wxTreeListItem | ( |  | ) |

Only the default constructor is publicly accessible.

Default constructing a wxTreeListItem creates an invalid item.

## Member Function Documentation

bool wxTreeListItem::IsOk | ( |  | ) | const

Return true if the item is valid.